Event::ExecFlow::Scheduler::SimpleMax(3)

NAME
Event::ExecFlow::Scheduler::SimpleMax - Limit number of parallel executed jobs

SYNOPSIS
  #-- Create a new Scheduler object
  my $scheduler = Event::ExecFlow::Scheduler::SimpleMax->new( max => 5 );

  #-- Attach scheduler to a group job
  $group_job->set_parallel(1);
  $group_job->set_scheduler($scheduler);

DESCRIPTION
This is a simple scheduler which just limits the maximum number of parallel executed jobs. It's mainly an example implementation of the Event::ExecFlow::Scheduler interface, not really of big practical use ;)

OBJECT HIERARCHY
  Event::ExecFlow

  Event::ExecFlow::Job
  +--- Event::ExecFlow::Job::Group
  +--- Event::ExecFlow::Job::Command
  +--- Event::ExecFlow::Job::Code

  Event::ExecFlow::Frontend
  Event::ExecFlow::Callbacks
  Event::ExecFlow::Scheduler
  +--- Event::ExecFlow::Scheduler::SimpleMax

METHODS
[ FIXME: describe all methods in detail ]

AUTHORS
 Jörn Reder <joern at zyn dot de>

COPYRIGHT AND LICENSE
Copyright 2005-2006 by Jörn Reder.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 93:
    Non-ASCII character seen before =encoding in 'Jörn'. Assuming CP1252